Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.beans.factory
Class BeanIsNotAFactoryException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.springframework.beans.BeansException
                          org.springframework.beans.factory.BeanNotOfRequiredTypeException
                              org.springframework.beans.factory.BeanIsNotAFactoryException

All Implemented Interfaces:
  Serializable

    public class BeanIsNotAFactoryException

extends BeanNotOfRequiredTypeException

Exception thrown when a bean is not a factory, but a user tries to get at the factory for the given bean name. Whether a bean is a factory is determined by whether it implements the FactoryBean interface.

Since:
  10.03.2003
Author:
  Rod Johnson
See Also:
  `FactoryBean`, Serialized Form

Constructor Summary
`BeanIsNotAFactoryException(String name, Class actualType)` Create a new BeanIsNotAFactoryException.

Method Summary

Methods inherited from class org.springframework.beans.factory.BeanNotOfRequiredTypeException
`getActualType, getBeanName, getRequiredType`

Methods inherited from class org.springframework.core.NestedRuntimeException
`contains, getCause, getMessage, getMostSpecificCause, getRootCause, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BeanIsNotAFactoryException

    public BeanIsNotAFactoryException(String name,
                                      Class actualType)

  Create a new BeanIsNotAFactoryException.

  Parameters:
    `name` - the name of the bean requested
    `actualType` - the actual type returned, which did not match the expected type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2007 The Spring Framework.